Primitives
Date: 2016-11-03

com.google.gson.internal

## Class Primitives

- java.lang.Object
- - com.google.gson.internal.Primitives

-     public final class Primitives
      extends java.lang.Object

  Contains static utility methods pertaining to primitive types and their corresponding wrapper types.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `isPrimitive(java.lang.reflect.Type type)` Returns true if this type is a primitive.
    `static boolean` | `isWrapperType(java.lang.reflect.Type type)` Returns `true` if `type` is one of the nine primitive-wrapper types, such as `Integer`.
    `static <T> java.lang.Class<T>` | `unwrap(java.lang.Class<T> type)` Returns the corresponding primitive type of `type` if it is a wrapper type; otherwise returns `type` itself.
    `static <T> java.lang.Class<T>` | `wrap(java.lang.Class<T> type)` Returns the corresponding wrapper type of `type` if it is a primitive type; otherwise returns `type` itself.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### isPrimitive

          public static boolean isPrimitive(java.lang.reflect.Type type)

      Returns true if this type is a primitive.

    - #### isWrapperType

          public static boolean isWrapperType(java.lang.reflect.Type type)

      Returns `true` if `type` is one of the nine primitive-wrapper types, such as `Integer`.
      See Also:
        `Class.isPrimitive()`

    - #### wrap

          public static <T> java.lang.Class<T> wrap(java.lang.Class<T> type)

      Returns the corresponding wrapper type of `type` if it is a primitive type; otherwise returns `type` itself. Idempotent.

               wrap(int.class) == Integer.class
               wrap(Integer.class) == Integer.class
               wrap(String.class) == String.class

    - #### unwrap

          public static <T> java.lang.Class<T> unwrap(java.lang.Class<T> type)

      Returns the corresponding primitive type of `type` if it is a wrapper type; otherwise returns `type` itself. Idempotent.

               unwrap(Integer.class) == int.class
               unwrap(int.class) == int.class
               unwrap(String.class) == String.class